Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling
Class DefaultUpnpServiceConfiguration

    java.lang.Object
      org.teleal.cling.DefaultUpnpServiceConfiguration

All Implemented Interfaces:
  UpnpServiceConfiguration

Direct Known Subclasses:
  AndroidUpnpServiceConfiguration

    public class DefaultUpnpServiceConfiguration

extends Object
implements UpnpServiceConfiguration

Author:
  Christian Bauer

Constructor Summary
`DefaultUpnpServiceConfiguration()`
`DefaultUpnpServiceConfiguration(int streamListenPort)`

Method Summary
`DatagramIO` | `createDatagramIO(NetworkAddressFactory networkAddressFactory)`
`protected DatagramProcessor` | `createDatagramProcessor()`
`protected Executor` | `createDefaultExecutor()`
`protected DeviceDescriptorBinder` | `createDeviceDescriptorBinderUDA10()`
`protected GENAEventProcessor` | `createGENAEventProcessor()`
`MulticastReceiver` | `createMulticastReceiver(NetworkAddressFactory networkAddressFactory)`
`protected Namespace` | `createNamespace()`
`NetworkAddressFactory` | `createNetworkAddressFactory()`
`protected NetworkAddressFactory` | `createNetworkAddressFactory(int streamListenPort)`
`protected ServiceDescriptorBinder` | `createServiceDescriptorBinderUDA10()`
`protected SOAPActionProcessor` | `createSOAPActionProcessor()`
`StreamClient` | `createStreamClient()`
`StreamServer` | `createStreamServer(NetworkAddressFactory networkAddressFactory)`
`Executor` | `getAsyncProtocolExecutor()`
`Executor` | `getDatagramIOExecutor()`
`DatagramProcessor` | `getDatagramProcessor()`
`protected Executor` | `getDefaultExecutor()`
`DeviceDescriptorBinder` | `getDeviceDescriptorBinderUDA10()`
`GENAEventProcessor` | `getGenaEventProcessor()`
`Executor` | `getMulticastReceiverExecutor()`
`Namespace` | `getNamespace()`
`Executor` | `getRegistryListenerExecutor()`
`Executor` | `getRegistryMaintainerExecutor()`
`ServiceDescriptorBinder` | `getServiceDescriptorBinderUDA10()`
`SOAPActionProcessor` | `getSoapActionProcessor()`
`Executor` | `getStreamServerExecutor()`
`Executor` | `getSyncProtocolExecutor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUpnpServiceConfiguration

    public DefaultUpnpServiceConfiguration()

### DefaultUpnpServiceConfiguration

    public DefaultUpnpServiceConfiguration(int streamListenPort)

Method Detail

### getDatagramProcessor

    public DatagramProcessor getDatagramProcessor()

  Specified by:
    `getDatagramProcessor` in interface `UpnpServiceConfiguration`

### getSoapActionProcessor

    public SOAPActionProcessor getSoapActionProcessor()

  Specified by:
    `getSoapActionProcessor` in interface `UpnpServiceConfiguration`

### getGenaEventProcessor

    public GENAEventProcessor getGenaEventProcessor()

  Specified by:
    `getGenaEventProcessor` in interface `UpnpServiceConfiguration`

### createStreamClient

    public StreamClient createStreamClient()

  Specified by:
    `createStreamClient` in interface `UpnpServiceConfiguration`

### createMulticastReceiver

    public MulticastReceiver createMulticastReceiver(NetworkAddressFactory networkAddressFactory)

  Specified by:
    `createMulticastReceiver` in interface `UpnpServiceConfiguration`

### createDatagramIO

    public DatagramIO createDatagramIO(NetworkAddressFactory networkAddressFactory)

  Specified by:
    `createDatagramIO` in interface `UpnpServiceConfiguration`

### createStreamServer

    public StreamServer createStreamServer(NetworkAddressFactory networkAddressFactory)

  Specified by:
    `createStreamServer` in interface `UpnpServiceConfiguration`

### getMulticastReceiverExecutor

    public Executor getMulticastReceiverExecutor()

  Specified by:
    `getMulticastReceiverExecutor` in interface `UpnpServiceConfiguration`

### getDatagramIOExecutor

    public Executor getDatagramIOExecutor()

  Specified by:
    `getDatagramIOExecutor` in interface `UpnpServiceConfiguration`

### getStreamServerExecutor

    public Executor getStreamServerExecutor()

  Specified by:
    `getStreamServerExecutor` in interface `UpnpServiceConfiguration`

### getDeviceDescriptorBinderUDA10

    public DeviceDescriptorBinder getDeviceDescriptorBinderUDA10()

  Specified by:
    `getDeviceDescriptorBinderUDA10` in interface `UpnpServiceConfiguration`

### getServiceDescriptorBinderUDA10

    public ServiceDescriptorBinder getServiceDescriptorBinderUDA10()

  Specified by:
    `getServiceDescriptorBinderUDA10` in interface `UpnpServiceConfiguration`

### getAsyncProtocolExecutor

    public Executor getAsyncProtocolExecutor()

  Specified by:
    `getAsyncProtocolExecutor` in interface `UpnpServiceConfiguration`

### getSyncProtocolExecutor

    public Executor getSyncProtocolExecutor()

  Specified by:
    `getSyncProtocolExecutor` in interface `UpnpServiceConfiguration`

### getNamespace

    public Namespace getNamespace()

  Specified by:
    `getNamespace` in interface `UpnpServiceConfiguration`

### getRegistryMaintainerExecutor

    public Executor getRegistryMaintainerExecutor()

  Specified by:
    `getRegistryMaintainerExecutor` in interface `UpnpServiceConfiguration`

### getRegistryListenerExecutor

    public Executor getRegistryListenerExecutor()

  Specified by:
    `getRegistryListenerExecutor` in interface `UpnpServiceConfiguration`

### createNetworkAddressFactory

    public NetworkAddressFactory createNetworkAddressFactory()

  Specified by:
    `createNetworkAddressFactory` in interface `UpnpServiceConfiguration`

### createNetworkAddressFactory

    protected NetworkAddressFactory createNetworkAddressFactory(int streamListenPort)

### createDatagramProcessor

    protected DatagramProcessor createDatagramProcessor()

### createSOAPActionProcessor

    protected SOAPActionProcessor createSOAPActionProcessor()

### createGENAEventProcessor

    protected GENAEventProcessor createGENAEventProcessor()

### createDeviceDescriptorBinderUDA10

    protected DeviceDescriptorBinder createDeviceDescriptorBinderUDA10()

### createServiceDescriptorBinderUDA10

    protected ServiceDescriptorBinder createServiceDescriptorBinderUDA10()

### createNamespace

    protected Namespace createNamespace()

### getDefaultExecutor

    protected Executor getDefaultExecutor()

### createDefaultExecutor

    protected Executor createDefaultExecutor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.